@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');
*{box-sizing:border-box;}
*[class*="wd-"]{max-width:100%;}
body{
    font-family: 'Open Sans', sans-serif;
    margin: 0; padding: 0;
    justify-content: center; align-items: center;
    height: 100vh; background-color: #f2f2f2;
}
h1{margin: 0px 0px 15px;font-size: 20px;}
.txt-center{text-align: center;}.txt-right{text-align: right;}
.login-container {
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.1);
}
.login-container img {
    display: block;
    margin: 0 auto;
    width: 150px;
    margin-bottom: 20px;
}

input[type="text"],input[type="date"],input[type="number"],textarea,select,input[type="email"],
input[type="password"],
button ,.btenviarft{padding: 10px;margin-bottom: 10px; border: 1px solid #ccc;border-radius: 5px; box-sizing: border-box;}
button,.btenviarft { background-color: #007bff; color: #fff; cursor: pointer;}
button:hover {background-color: #0056b3;}
.alert{background-color: #ff6347;color: #fff; padding: 10px; border-radius: 5px; text-align: center;}

/* CSS para o layout do painel administrativo */
.admin-container { display: flex; height: 100vh;}
.sidebar {left: 0; top: 0; width: 250px; background-color: #112c51; color: #fff; padding-top: 20px; overflow-y: auto;  height: 100vh;}

.logo {text-align: center; margin-bottom: 20px;}
.logo img { width: 150px;}
.menu {list-style-type: none; padding: 0;}
.menu li {padding: 10px;}
.menu a { color: #fff; text-decoration: none;}
.menu a:hover {background-color: #555;}
.submenu ul { display: none;}
.submenu:hover ul { display: block;}
.content {
    margin: 0 auto; /* Centraliza a área de conteúdo */
    max-width: 100%; /* Largura máxima igual à largura da tela */
}
.greeting{margin-bottom: 20px;}
.page-content{border: 1px solid #ccc; padding: 20px; min-height: 300px; background-color: #fff;}
.logout-button{padding: 4px 10px;background-color: #333;font-size: 12px; font-weight: 600;}

/* Estilos para a caixa de busca */
.search-container {margin-bottom: 20px; display: flex;}
.search-input {padding: 8px;flex: 1;margin-right: 10px; border: 1px solid #ccc;}
.search-button{padding: 8px 15px;background-color: #4CAF50; color: white; border: none; cursor: pointer;}
.search-button-mini{padding: 6px 12px; background-color: #172178; color: white; border: none; cursor: pointer; font-size: 14px; font-weight: 600;}
/* Estilos para a tabela */
.table-container{margin-top: 20px;}
.result-table{width: 100%;border-collapse: collapse;}
.result-table th, .result-table td { border: 1px solid #ddd; padding: 8px; text-align: left;}
.result-table th {background-color: #4CAF50;color: white;}
.ul-list-line{list-style: none;margin: 0;padding:0; display: flex;flex-wrap: wrap;}
.ul-list-line li{padding: 4px 4px;}
.ul-list-line-carac li{width: 140px;display: flex;align-items: center;}

/* Estilos para a mensagem de resultado */
.result-message {text-align: center;}
legend{font-weight: 600;}
.area-fotos-wpr{width: 500px;max-width: 100%;overflow: hidden;}
.area-fotos-scroll{width: 500px;max-width: 100%;overflow-y: scroll;padding: 12px 5px;white-space: nowrap;}
.area-fotos-item{display: inline-block;padding:0 15px; font-size: 14px;text-align: center;}
.area-fotos-item img{width: 90px;}


/*botao*/
button.btgravar{position: relative;display: flex;justify-content: center; align-items: center;
    border-radius: 5px; background: #183153; font-family: 'Open Sans', sans-serif;
    box-shadow: 0px 6px 24px 0px rgba(0, 0, 0, 0.2); overflow: hidden; cursor: pointer;
    border: none; padding: 0px; font-size: 10px;
  }
  
  button.btgravar:after {
    content: " ";  width: 0%;
    height: 100%;  background: #ffd401;
    position: absolute;  transition: all 0.4s ease-in-out;    right: 0;
  }
  
  button.btgravar:hover::after { right: auto;  left: 0; width: 100%;}
  button.btgravar span {text-align: center; text-decoration: none; width: 100%; padding: 10px 20px; color: #fff; font-weight: 700; letter-spacing: 0.3em;z-index: 20; transition: all 0.3s ease-in-out;}
  button.btgravar:hover span { color: #183153;  animation: scaleUp 0.3s ease-in-out;}
  @keyframes scaleUp{  0% {transform: scale(1);}    50% {transform: scale(0.95);}  100% {transform: scale(1);}  }

  .buttonDownload {
    display: inline-block;
    position: relative;
    padding: 8px 25px;
    background-color: #0a6350;
    color: white;
    font-family: sans-serif;
    text-decoration: none;
    font-size: 0.9em;
    text-align: center;
    text-indent: 15px;
    border: none;
    border-radius: 5px;
   }
   
   .buttonDownload:hover {
    background-color: #1a55a2;
    color: white;
   }
   
   .buttonDownload:before, .buttonDownload:after {
    content: ' ';
    display: block;
    position: absolute;
    left: 15px;
    top: 52%;
   }
   
   .buttonDownload:before {
    width: 10px;
    height: 2px;
    border-style: solid;
    border-width: 0 2px 2px;
   }
   
   .buttonDownload:after {
    width: 0;
    height: 0;
    margin-left: 3px;
    margin-top: -7px;
    border-style: solid;
    border-width: 4px 4px 0 4px;
    border-color: transparent;
    border-top-color: inherit;
    animation: downloadArrow 1s linear infinite;
    animation-play-state: paused;
   }
   
   .buttonDownload:hover:before {
    border-color: #cdefbd;
   }
   
   .buttonDownload:hover:after {
    border-top-color: #cdefbd;
    animation-play-state: running;
   }
   
   @keyframes downloadArrow {
    0% {
     margin-top: -7px;
     opacity: 1;
    }
   
    0.001% {
     margin-top: -15px;
     opacity: 0.4;
    }
   
    50% {
     opacity: 1;
    }
   
    100% {
     margin-top: 0;
     opacity: 0.4;
    }
   }
  

/*rules*/
.font-size11{font-size:11px;}.font-size12{font-size:12px;}.font-size14{font-size:14px;}.font-size16{font-size:16px;}.font-size18{font-size:18px;}.font-size20{font-size:20px;}.font-size22{font-size:22px;}.font-size25{font-size:25px;}.font-size28{font-size:28px;}.font-size32{font-size:32px;}.font-size40{font-size:40px;}.font-size45{font-size:45px;}.font-size50{font-size:50px;}.font-size60{font-size:60px;}
.font-300{font-weight:300;}.font-400{font-weight:400;}.font-500{font-weight:500;}.font-600{font-weight:600;}.font-700{font-weight:700;}.font-900{font-weight:900;}
.wd-1200{width:1200px;}.wd-1100{width:1100px;}.wd-1000{width:1000px;}.wd-900{width:900px;}.wd-800{width:800px;}.wd-700{width:700px;}.wd-600{width:600px;}.wd-500{width:500px;}.wd-450{width:400px;}.wd-400{width:400px;}.wd-350{width:350px;}.wd-300{width:300px;}.wd-200{width:200px;}.wd-150{width:150px;}.wd-120{width:120px;}.wd-90{width:90px;}.wd-60{width:60px;}.wd-32{width:32px;}
.margin-auto{margin:auto;}
